Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign
Interface CampaignInfo

All Known Subinterfaces:
  Campaign

public interface CampaignInfo
extends java.io.Serializable, java.lang.Cloneable, java.lang.Comparable

A data structure that contains the basic display information for a campaign.

Only the campaign's unique id, name, description, active flag, and shutdown flag are guaranteed to be set. The other fields might be set depending upon how the object was created

Method Summary
`java.lang.Object` | `clone()` Get a clone of this.
`boolean` | `getActiveFlag()` Get the campaign's active state.
`java.lang.String` | `getDescription()` Get the campaign's description.
`java.lang.String` | `getGoalDescription()` Get the description of the campaign's goals.
`java.lang.String` | `getName()` Get the campaign's name.
`java.lang.String` | `getSponsor()` Get the sponsor of the campaign.
`java.sql.Timestamp` | `getStartDate()` Get the campaign's start date.
`java.sql.Timestamp` | `getStopDate()` Get the campaign's stop date.
`java.lang.String` | `getUniqueId()` Get the campaign's unique id.
`java.lang.String` | `getValueProposition()` Get the value proposition of the campaign.
`boolean` | `isShutdown()` Get the campaign's shutdown state.

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getUniqueId

    public java.lang.String getUniqueId()

  Get the campaign's unique id.

  This should be unique amongst all campaigns.

### getName

    public java.lang.String getName()

  Get the campaign's name.

### getActiveFlag

    public boolean getActiveFlag()

  Get the campaign's active state.

  This is a user-set flag controlling the active state of the campaign. This describes if the campaign should be active, if all other campaign active criteria are met (i.e. the start/stop date, the goals are not yet achieved).

### isShutdown

    public boolean isShutdown()

  Get the campaign's shutdown state.

### getDescription

    public java.lang.String getDescription()

  Get the campaign's description.

### getSponsor

    public java.lang.String getSponsor()

  Get the sponsor of the campaign.

### getValueProposition

    public java.lang.String getValueProposition()

  Get the value proposition of the campaign.

### getGoalDescription

    public java.lang.String getGoalDescription()

  Get the description of the campaign's goals.

### getStartDate

    public java.sql.Timestamp getStartDate()

  Get the campaign's start date.

### getStopDate

    public java.sql.Timestamp getStopDate()

  Get the campaign's stop date.

### clone

    public java.lang.Object clone()

  Get a clone of this.

  Overrides:
    clone in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved